- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get#body.HealthAggregationPolicy.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/regionHealthAggregationPolicies/get#try-it)

Returns the specified HealthAggregationPolicy resource in the given region.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/regions/{region}/healthAggregationPolicies/{healthAggregationPolicy}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `region` | `string` Name of the region scoping this request. |
| `healthAggregationPolicy` | `string` Name of the HealthAggregationPolicy resource to return. |

### Request body

The request body must be empty.

### Response body

Represents a health aggregation policy.

A health aggregation policy resource defines a policy to aggregate health.

For more information, see [Health checks overview](https://docs.cloud.google.com/load-balancing/docs/health-check-concepts).

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "selfLink": string, "selfLinkWithId": string, "region": string, "policyType": enum, "healthyPercentThreshold": integer, "minHealthyThreshold": integer, "fingerprint": string } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. Type of the resource. Always `compute#healthAggregationPolicy` for health aggregation policies. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` Name of the resource. Provided by the client when the resource is created. The name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `selfLinkWithId` | `string` Output only. Server-defined URL with id for the resource. |
| `region` | `string` Output only. URL of the region where the health aggregation policy resides. This field applies only to the regional resource. You must specify this field as part of the HTTP request URL. It is not settable as a field in the request body. |
| `policyType` | `enum` Specifies the type of the healthAggregationPolicy. The only allowed value for global resources is `DNS_PUBLIC_IP_POLICY`. The only allowed value for regional resources is `BACKEND_SERVICE_POLICY`. Must be specified when the healthAggregationPolicy is created, and cannot be mutated. |
| `healthyPercentThreshold` | `integer (https://developers.google.com/discovery/v1/type-format format)` Can only be set if the `policyType` field is `BACKEND_SERVICE_POLICY`. Specifies the threshold (as a percentage) of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to `60`. Must be in range \[0, 100\]. Not applicable if the `policyType` field is `DNB_PUBLIC_IP_POLICY`. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and `minHealthyThreshold` must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group. |
| `minHealthyThreshold` | `integer (https://developers.google.com/discovery/v1/type-format format)` Can only be set if the `policyType` field is `BACKEND_SERVICE_POLICY`. Specifies the minimum number of healthy endpoints required in order to consider the aggregated health result HEALTHY. Defaults to `1`. Must be positive. Not applicable if the `policyType` field is `DNB_PUBLIC_IP_POLICY`. Can be mutated. This field is optional, and will be set to the default if unspecified. Note that both this threshold and `healthyPercentThreshold` must be satisfied in order for HEALTHY to be the aggregated result. "Endpoints" refers to network endpoints within a Network Endpoint Group or instances within an Instance Group. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` Fingerprint of this resource. A hash of the contents stored in this object. This field is used in optimistic locking. This field will be ignored when inserting a `HealthAggregationPolicy`. An up-to-date fingerprint must be provided in order to patch the HealthAggregationPolicy; Otherwise, the request will fail with error `412 conditionNotMet`. To see the latest fingerprint, make a `get()` request to retrieve the HealthAggregationPolicy. A base64-encoded string. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.regionHealthAggregationPolicies.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).